Vipre Not Impacted By Heartbleed Bug

Cohen Electronics, LLC would like to let you know that VIPRE Internet Security and VIPRE Mobile were not impacted by the OpenSSL vulnerability known as heartbleed.

What is “heartbleed”?

The “heartbleed” vulnerability has received a lot of media attention over the last week. It is a serious security vulnerability that was recently discovered in software used to create secure Internet connections, which could potentially enable cybercriminals to steal passwords and other sensitive data. “Heartbleed” is not malware like a virus or Trojan that VIPRE can detect. It is a flaw in software used by websites you may visit and that cybercriminals may be exploiting.

What Should You Do?

Watch your email inbox for notifications from the websites and online services you use that alert you to whether or not they are vulnerable. If they are, change your passwords when instructed (you should wait until the websites and services you use confirm they are patched before changing your password). For services unaffected by this vulnerability, it is recommended that you also change any common passwords you use as these may have been compromised.

 

 

Contact Info